from flask import Flask, request, jsonify
from flask_cors import CORS
from utils.count_words import count_words

app = Flask(__name__)
CORS(app, origins=['https://midiat.com.br','https://*.midiat.com.br'])

@app.route('/', methods=['POST'])
def get_word_count():
    data = request.get_json()
    program = data.get("program_slug")
    site_id = data.get("site_id")
    start_date = data.get("start_date")
    end_date = data.get("end_date")
    try:
        if not site_id or not program:
            raise ValueError("site_id and program_slug are required.")
        count = count_words(site_id, start_date, end_date, program)
        return count, 200
    except Exception as e:
        error =  f"Internal server errore - {e}"
        return jsonify({"error": error}), 500

if __name__ == '__main__':
    app.run()

